#!/bin/sh

if [ -z $1 ]; then
echo "./dunp_phy.sh <port>"
echo "*Input port as: 0/1"
exit
fi

port=$1

write_phy()
{
	./xelmem iphy unit "$port" reg 0x8 data $2

	command=$(printf "0x508%02x" $1)
	./xelmem iphy unit "$port" reg 0xc data $command

	./xelmem iphy unit "$port" reg 0x10 data 0x1
	./xelmem iphy unit "$port" reg 0x10 data 0x0
	echo ""
}

read_phy()
{
	command=$(printf "0x608%02x" $1)
	./xelmem iphy unit "$port" reg 0xc data $command

	./xelmem iphy unit "$port" reg 0x10 data 0x1
	./xelmem iphy unit "$port" reg 0x10 data 0x0
	./xelmem iphy unit "$port" reg 0x30
	echo ""
}

i=0

while [ $i -le 9 ]
do
	echo "===== phy page $i ====="
	j=0
	write_phy 31 $i

	while [ $j -le 31 ]
	do
		echo "phy address $j:"
		read_phy $j
		j=`expr $j + 1`
	done

	i=`expr $i + 1`
done
